package com.siwei.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 角色与核查流程关联对象 sys_role_auditflow
 * 
 * @author siwei
 * @date 2025-01-22
 */
public class SysRoleAuditflow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 角色ID */
    @Excel(name = "角色ID")
    private Long roleId;

    /** 核查流程ID */
    @Excel(name = "核查流程ID")
    private String auditflowId;

    public void setRoleId(Long roleId) 
    {
        this.roleId = roleId;
    }

    public Long getRoleId() 
    {
        return roleId;
    }
    public void setAuditflowId(String auditflowId) 
    {
        this.auditflowId = auditflowId;
    }

    public String getAuditflowId() 
    {
        return auditflowId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("roleId", getRoleId())
            .append("auditflowId", getAuditflowId())
            .toString();
    }
}
